## org.codehaus.plexus.digest
Interface StreamingDigester

All Known Implementing Classes:
  AbstractStreamingDigester, StreamingMd5Digester, StreamingSha1Digester

    public interface StreamingDigester

Gradually create a digest for a stream.

Author:
  Brett Porter

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`java.lang.String` `calc()` Calculate the current checksum.
`java.lang.String` `getAlgorithm()` Get the algorithm used for the checksum.
`void` `reset()` Reset the hashcode calculation algorithm.
`void` `update(java.io.InputStream is)` Update the checksum with the content of the input stream.

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### getAlgorithm

    java.lang.String getAlgorithm()

  Get the algorithm used for the checksum.

  Returns:
    the algorithm

### reset

    void reset()
               throws DigesterException

  Reset the hashcode calculation algorithm. Only useful when performing incremental hashcodes based on repeated use of `update(InputStream)`

  Throws:
    `DigesterException` - if there was a problem with the internal message digest

### calc

    java.lang.String calc()
                          throws DigesterException

  Calculate the current checksum.

  Returns:
    the current checksum.
  Throws:
    `DigesterException` - if there was a problem computing the hashcode.

### update

    void update(java.io.InputStream is)
                throws DigesterException

  Update the checksum with the content of the input stream.

  Parameters:
    `is` - the input stream
  Throws:
    `DigesterException` - if there was a problem computing the hashcode.

Copyright © 2011. All Rights Reserved.